/*===========================================================================*/
/*   (Llib/bigloo.scm)                                                       */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -O4 -mklib -cc gcc-2.95 -fsharing -q -s -copt -DBGL_NO_PIC -unsafe -c Llib/bigloo.scm -indent -o objs/obj_u/Llib/bigloo.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>
#include <signal.h>

static obj_t BGl_za2modulesza2z00zz__biglooz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_EXPORTED_DECL obj_t bigloo_class_demangle(obj_t);
static obj_t BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00 = BUNSPEC;
BGL_EXPORTED_DECL bool_t BGl_opaquezf3zf3zz__biglooz00(obj_t);
extern obj_t make_string(int, unsigned char);
extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl__bigloozd2classzd2demangle2143z00zz__biglooz00(obj_t, obj_t);
extern bool_t bigloo_strncmp(obj_t, obj_t, int);
static obj_t BGl__unspecifiedz00zz__biglooz00(obj_t);
static obj_t BGl__registerzd2exitzd2functionz122145z12zz__biglooz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_cnstzf3zf3zz__biglooz00(obj_t);
static obj_t BGl_za2releaseza2z00zz__biglooz00 = BUNSPEC;
extern bool_t bigloo_strcmp(obj_t, obj_t);
static obj_t BGl_za2levelza2z00zz__biglooz00 = BUNSPEC;
extern obj_t c_substring(obj_t, int, int);
static obj_t BGl__bigloozd2demangle2139zd2zz__biglooz00(obj_t, obj_t);
static obj_t BGl_bigloozd2demanglezd2atz00zz__biglooz00(obj_t, long, obj_t);
extern long BGl_minfxz00zz__r4_numbers_6_5_fixnumz00(long, obj_t);
extern obj_t string_append(obj_t, obj_t);
static obj_t BGl__bigloozd2exitzd2applyz00zz__biglooz00(obj_t, obj_t);
static long BGl_manglezd2atz12zc0zz__biglooz00(obj_t, obj_t, int, long);
static long BGl_getzd28bitszd2integerz00zz__biglooz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__biglooz00();
BGL_EXPORTED_DECL obj_t BGl_registerzd2exitzd2functionz12z12zz__biglooz00(obj_t);
static obj_t BGl__bigloozd2classzd2mangledzf32141zf3zz__biglooz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bigloo_mangle(obj_t);
extern obj_t blit_string(obj_t, int, obj_t, int, int);
static obj_t BGl_requirezd2initializa7ationz75zz__biglooz00 = BUNSPEC;
static obj_t BGl__closurezd2arity2125zd2zz__biglooz00(obj_t, obj_t);
static obj_t BGl__bigloozd2modulezd2mangle2132z00zz__biglooz00(obj_t, obj_t, obj_t);
static obj_t BGl__checkzd2versionz122123zc0zz__biglooz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bigloo_exit_apply(obj_t);
static obj_t BGl__bigloozd2mangle2130zd2zz__biglooz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_za2bigloozd2strictzd2r5rszd2stringsza2zd2zz__biglooz00 = BUNSPEC;
BGL_EXPORTED_DECL bool_t BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(obj_t);
BGL_EXPORTED_DECL obj_t bigloo_demangle(obj_t);
extern obj_t string_to_bstring(char *);
static obj_t BGl__bigloozd2mangledzf32135z21zz__biglooz00(obj_t, obj_t);
static long BGl_charzd2ze3digitz31zz__biglooz00(unsigned char);
BGL_EXPORTED_DECL bool_t bigloo_mangledp(obj_t);
BGL_EXPORTED_DECL bool_t bigloo_class_mangledp(obj_t);
BGL_EXPORTED_DECL obj_t BGl_unspecifiedz00zz__biglooz00();
BGL_EXPORTED_DECL obj_t bigloo_module_mangle(obj_t, obj_t);
static obj_t BGl__bigloozd2needzd2manglingzf32137zf3zz__biglooz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__biglooz00();
static obj_t BGl__cnstzf3zf3zz__biglooz00(obj_t, obj_t);
static obj_t BGl__opaquezf3zf3zz__biglooz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_checkzd2versionz12zc0zz__biglooz00(obj_t, char *, obj_t);
BGL_EXPORTED_DECL int BGl_closurezd2arityzd2zz__biglooz00(obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_PROCEDURE( BGl_cnstzf3zd2envz21zz__biglooz00, BgL_bgl__cnstza7f3za7f3za7za7__biglooza7002333za7, BGl__cnstzf3zf3zz__biglooz00, 0L, 1 );
DEFINE_STRING( BGl_string2326z00zz__biglooz00, BgL_bgl_string2326za700za7za7__biglooza7002334z00, "Wrong procedure arity", 21 );
DEFINE_EXPORT_PROCEDURE( BGl_bigloozd2needzd2manglingzf3zd2envz21zz__biglooz00, BgL_bgl__biglooza7d2needza7d2manglingza7f32137za7f3za7za7__biglooza7002335za7, BGl__bigloozd2needzd2manglingzf32137zf3zz__biglooz00, 0L, 1 );
DEFINE_STRING( BGl_string2325z00zz__biglooz00, BgL_bgl_string2325za700za7za7__biglooza7002336z00, "bigloo-exit-register!", 21 );
DEFINE_STRING( BGl_string2324z00zz__biglooz00, BgL_bgl_string2324za700za7za7__biglooza7002337z00, "_bglt", 5 );
DEFINE_STRING( BGl_string2323z00zz__biglooz00, BgL_bgl_string2323za700za7za7__biglooza7002338z00, "Illegal mangling on", 19 );
DEFINE_STRING( BGl_string2322z00zz__biglooz00, BgL_bgl_string2322za700za7za7__biglooza7002339z00, "Not a Bigloo mangled identifier", 31 );
DEFINE_STRING( BGl_string2321z00zz__biglooz00, BgL_bgl_string2321za700za7za7__biglooza7002340z00, "bigloo-demangle", 15 );
DEFINE_STRING( BGl_string2320z00zz__biglooz00, BgL_bgl_string2320za700za7za7__biglooza7002341z00, "BGl_", 4 );
DEFINE_STRING( BGl_string2319z00zz__biglooz00, BgL_bgl_string2319za700za7za7__biglooza7002342z00, "BgL_", 4 );
DEFINE_STRING( BGl_string2318z00zz__biglooz00, BgL_bgl_string2318za700za7za7__biglooza7002343z00, "Can't mangle empty string", 25 );
DEFINE_STRING( BGl_string2317z00zz__biglooz00, BgL_bgl_string2317za700za7za7__biglooza7002344z00, "bigloo-mangle-string", 20 );
DEFINE_STRING( BGl_string2316z00zz__biglooz00, BgL_bgl_string2316za700za7za7__biglooza7002345z00, "0123456789abcdef", 16 );
DEFINE_STRING( BGl_string2315z00zz__biglooz00, BgL_bgl_string2315za700za7za7__biglooza7002346z00, "and other by: ", 14 );
DEFINE_STRING( BGl_string2314z00zz__biglooz00, BgL_bgl_string2314za700za7za7__biglooza7002347z00, "Some modules have been compiled by: ", 36 );
DEFINE_STRING( BGl_string2313z00zz__biglooz00, BgL_bgl_string2313za700za7za7__biglooza7002348z00, " (level 0)", 10 );
extern obj_t BGl_stringzd2envzd2zz__r4_strings_6_7z00;
DEFINE_EXPORT_PROCEDURE( BGl_closurezd2arityzd2envz00zz__biglooz00, BgL_bgl__closureza7d2arity2125za7d2za7za7__biglooza7002349za7, BGl__closurezd2arity2125zd2zz__biglooz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_checkzd2versionz12zd2envz12zz__biglooz00, BgL_bgl__checkza7d2versionza7122123za7c0za7za7__biglooza7002350z00, BGl__checkzd2versionz122123zc0zz__biglooz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_bigloozd2classzd2mangledzf3zd2envz21zz__biglooz00, BgL_bgl__biglooza7d2classza7d2mangledza7f32141za7f3za7za7__biglooza7002351za7, BGl__bigloozd2classzd2mangledzf32141zf3zz__biglooz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_bigloozd2modulezd2manglezd2envzd2zz__biglooz00, BgL_bgl__biglooza7d2moduleza7d2mangle2132za700za7za7__biglooza7002352z00, BGl__bigloozd2modulezd2mangle2132z00zz__biglooz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_unspecifiedzd2envzd2zz__biglooz00, BgL_bgl__unspecifiedza700za7za7__biglooza7002353z00, BGl__unspecifiedz00zz__biglooz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_bigloozd2mangledzf3zd2envzf3zz__biglooz00, BgL_bgl__biglooza7d2mangledza7f32135za721za7za7__biglooza7002354z00, BGl__bigloozd2mangledzf32135z21zz__biglooz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_opaquezf3zd2envz21zz__biglooz00, BgL_bgl__opaqueza7f3za7f3za7za7__biglooza7002355za7, BGl__opaquezf3zf3zz__biglooz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_bigloozd2exitzd2applyzd2envzd2zz__biglooz00, BgL_bgl__biglooza7d2exitza7d2applyza700za7za7__biglooza7002356z00, BGl__bigloozd2exitzd2applyz00zz__biglooz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_bigloozd2demanglezd2envz00zz__biglooz00, BgL_bgl__biglooza7d2demangle2139za7d2za7za7__biglooza7002357za7, BGl__bigloozd2demangle2139zd2zz__biglooz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_bigloozd2manglezd2envz00zz__biglooz00, BgL_bgl__biglooza7d2mangle2130za7d2za7za7__biglooza7002358za7, BGl__bigloozd2mangle2130zd2zz__biglooz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_registerzd2exitzd2functionz12zd2envzc0zz__biglooz00, BgL_bgl__registerza7d2exitza7d2functionza7122145za712za7za7__biglooza7002359za7, BGl__registerzd2exitzd2functionz122145z12zz__biglooz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_bigloozd2classzd2demanglezd2envzd2zz__biglooz00, BgL_bgl__biglooza7d2classza7d2demangle2143za700za7za7__biglooza7002360z00, BGl__bigloozd2classzd2demangle2143z00zz__biglooz00, 0L, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long BgL_checksumz00_1197, char * BgL_fromz00_1198)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__biglooz00))
{ 
BGl_requirezd2initializa7ationz75zz__biglooz00 = 
BBOOL(((bool_t)0)); 
BGl_importedzd2moduleszd2initz00zz__biglooz00(); 
BGl_toplevelzd2initzd2zz__biglooz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__biglooz00()
{ AN_OBJECT;
{ /* ./Llib/bigloo.scm 14 */
BGl_za2bigloozd2strictzd2r5rszd2stringsza2zd2zz__biglooz00 = BFALSE; 
BGl_za2releaseza2z00zz__biglooz00 = BFALSE; 
BGl_za2levelza2z00zz__biglooz00 = BFALSE; 
BGl_za2modulesza2z00zz__biglooz00 = BNIL; 
return ( 
BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00 = BNIL, BUNSPEC) ;} 
}



/* check-version! */
BGL_EXPORTED_DEF obj_t BGl_checkzd2versionz12zc0zz__biglooz00(obj_t BgL_modulez00_1, char * BgL_releasez00_2, obj_t BgL_levelz00_3)
{ AN_OBJECT;
{ /* ./Llib/bigloo.scm 295 */
if(
STRINGP(BGl_za2releaseza2z00zz__biglooz00))
{ /* ./Llib/bigloo.scm 301 */
bool_t BgL_test1030z00_356;
{ /* ./Llib/bigloo.scm 301 */
bool_t BgL_test1054z00_371;
{ /* ./Llib/bigloo.scm 301 */
long BgL_minz00_375;
{ /* ./Llib/bigloo.scm 301 */
long BgL_arg1069z00_379;
{ /* ./Llib/bigloo.scm 301 */
int BgL_arg1076z00_381;int BgL_arg1079z00_382;
{ /* ./Llib/bigloo.scm 301 */
obj_t BgL_auxz00_1206;
BgL_auxz00_1206 = 
string_to_bstring(BgL_releasez00_2); 
BgL_arg1076z00_381 = 
STRING_LENGTH(BgL_auxz00_1206); } 
BgL_arg1079z00_382 = 
STRING_LENGTH(BGl_za2releaseza2z00zz__biglooz00); 
{ /* ./Llib/bigloo.scm 301 */
obj_t BgL_list1081z00_383;
{ /* ./Llib/bigloo.scm 301 */
obj_t BgL_auxz00_1210;
BgL_auxz00_1210 = 
BINT(BgL_arg1079z00_382); 
BgL_list1081z00_383 = 
MAKE_PAIR(BgL_auxz00_1210, BNIL); } 
BgL_arg1069z00_379 = 
BGl_minfxz00zz__r4_numbers_6_5_fixnumz00(
(long)(BgL_arg1076z00_381), BgL_list1081z00_383); } } 
BgL_minz00_375 = 
(BgL_arg1069z00_379-((long)1)); } 
{ /* ./Llib/bigloo.scm 304 */
bool_t BgL_testz00_1216;
{ /* ./Llib/bigloo.scm 304 */
obj_t BgL_auxz00_1225;obj_t BgL_auxz00_1217;
{ /* ./Llib/bigloo.scm 305 */
int BgL_auxz00_1228;int BgL_auxz00_1226;
BgL_auxz00_1228 = 
(int)(BgL_minz00_375); 
BgL_auxz00_1226 = 
(int)(((long)0)); 
BgL_auxz00_1225 = 
c_substring(BGl_za2releaseza2z00zz__biglooz00, BgL_auxz00_1226, BgL_auxz00_1228); } 
{ /* ./Llib/bigloo.scm 304 */
int BgL_auxz00_1222;int BgL_auxz00_1220;obj_t BgL_auxz00_1218;
BgL_auxz00_1222 = 
(int)(BgL_minz00_375); 
BgL_auxz00_1220 = 
(int)(((long)0)); 
BgL_auxz00_1218 = 
string_to_bstring(BgL_releasez00_2); 
BgL_auxz00_1217 = 
c_substring(BgL_auxz00_1218, BgL_auxz00_1220, BgL_auxz00_1222); } 
BgL_testz00_1216 = 
bigloo_strcmp(BgL_auxz00_1217, BgL_auxz00_1225); } 
if(BgL_testz00_1216)
{ /* ./Llib/bigloo.scm 304 */
BgL_test1054z00_371 = ((bool_t)0); }  else 
{ /* ./Llib/bigloo.scm 304 */
BgL_test1054z00_371 = ((bool_t)1); } } } 
if(BgL_test1054z00_371)
{ /* ./Llib/bigloo.scm 301 */
BgL_test1030z00_356 = ((bool_t)1); }  else 
{ /* ./Llib/bigloo.scm 301 */
if(
CHARP(BgL_levelz00_3))
{ /* ./Llib/bigloo.scm 306 */
if(
CHARP(BGl_za2levelza2z00zz__biglooz00))
{ /* ./Llib/bigloo.scm 306 */
bool_t BgL_testz00_1237;
{ /* ./Llib/bigloo.scm 306 */
unsigned char BgL_auxz00_1240;unsigned char BgL_auxz00_1238;
BgL_auxz00_1240 = 
(unsigned char)CCHAR(BgL_levelz00_3); 
BgL_auxz00_1238 = 
(unsigned char)CCHAR(BGl_za2levelza2z00zz__biglooz00); 
BgL_testz00_1237 = 
(BgL_auxz00_1238==BgL_auxz00_1240); } 
if(BgL_testz00_1237)
{ /* ./Llib/bigloo.scm 306 */
BgL_test1030z00_356 = ((bool_t)0); }  else 
{ /* ./Llib/bigloo.scm 306 */
BgL_test1030z00_356 = ((bool_t)1); } }  else 
{ /* ./Llib/bigloo.scm 306 */
BgL_test1030z00_356 = ((bool_t)0); } }  else 
{ /* ./Llib/bigloo.scm 306 */
BgL_test1030z00_356 = ((bool_t)0); } } } 
if(BgL_test1030z00_356)
{ /* ./Llib/bigloo.scm 301 */
{ /* ./Llib/bigloo.scm 313 */
obj_t BgL_arg1032z00_358;obj_t BgL_arg1033z00_359;obj_t BgL_arg1034z00_360;
{ /* ./Llib/bigloo.scm 313 */
obj_t BgL_arg1038z00_362;
{ /* ./Llib/bigloo.scm 314 */
obj_t BgL_releasez00_745;obj_t BgL_levelz00_746;
BgL_releasez00_745 = BGl_za2releaseza2z00zz__biglooz00; 
BgL_levelz00_746 = BGl_za2levelza2z00zz__biglooz00; 
if(
CHARP(BgL_levelz00_746))
{ /* ./Llib/bigloo.scm 314 */
obj_t BgL_sz00_748;
BgL_sz00_748 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BGl_string2313z00zz__biglooz00); 
{ /* ./Llib/bigloo.scm 314 */
unsigned char BgL_auxz00_1249;int BgL_auxz00_1247;
BgL_auxz00_1249 = 
(unsigned char)CCHAR(BgL_levelz00_746); 
BgL_auxz00_1247 = 
(int)(((long)8)); 
STRING_SET(BgL_sz00_748, BgL_auxz00_1247, BgL_auxz00_1249); } 
BgL_arg1038z00_362 = 
string_append(BgL_releasez00_745, BgL_sz00_748); }  else 
{ /* ./Llib/bigloo.scm 314 */
BgL_arg1038z00_362 = BgL_releasez00_745; } } 
BgL_arg1032z00_358 = 
string_append(BGl_string2314z00zz__biglooz00, BgL_arg1038z00_362); } 
{ /* ./Llib/bigloo.scm 315 */
obj_t BgL_arg1043z00_364;
if(
CHARP(BgL_levelz00_3))
{ /* ./Llib/bigloo.scm 316 */
obj_t BgL_sz00_756;
BgL_sz00_756 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BGl_string2313z00zz__biglooz00); 
{ /* ./Llib/bigloo.scm 316 */
unsigned char BgL_auxz00_1259;int BgL_auxz00_1257;
BgL_auxz00_1259 = 
(unsigned char)CCHAR(BgL_levelz00_3); 
BgL_auxz00_1257 = 
(int)(((long)8)); 
STRING_SET(BgL_sz00_756, BgL_auxz00_1257, BgL_auxz00_1259); } 
{ /* ./Llib/bigloo.scm 316 */
obj_t BgL_auxz00_1262;
BgL_auxz00_1262 = 
string_to_bstring(BgL_releasez00_2); 
BgL_arg1043z00_364 = 
string_append(BgL_auxz00_1262, BgL_sz00_756); } }  else 
{ /* ./Llib/bigloo.scm 316 */
BgL_arg1043z00_364 = 
string_to_bstring(BgL_releasez00_2); } 
BgL_arg1033z00_359 = 
string_append(BGl_string2315z00zz__biglooz00, BgL_arg1043z00_364); } 
BgL_arg1034z00_360 = 
MAKE_PAIR(BgL_modulez00_1, BGl_za2modulesza2z00zz__biglooz00); 
FAILURE(BgL_arg1032z00_358,BgL_arg1033z00_359,BgL_arg1034z00_360);} }  else 
{ /* ./Llib/bigloo.scm 301 */
return ( 
BGl_za2modulesza2z00zz__biglooz00 = 
MAKE_PAIR(BgL_modulez00_1, BGl_za2modulesza2z00zz__biglooz00), BUNSPEC) ;} }  else 
{ /* ./Llib/bigloo.scm 297 */
{ /* ./Llib/bigloo.scm 298 */
obj_t BgL_list1086z00_384;
BgL_list1086z00_384 = 
MAKE_PAIR(BgL_modulez00_1, BNIL); 
BGl_za2modulesza2z00zz__biglooz00 = BgL_list1086z00_384; } 
BGl_za2releaseza2z00zz__biglooz00 = 
string_to_bstring(BgL_releasez00_2); 
return ( 
BGl_za2levelza2z00zz__biglooz00 = BgL_levelz00_3, BUNSPEC) ;} } 
}



/* _check-version!2123 */
obj_t BGl__checkzd2versionz122123zc0zz__biglooz00(obj_t BgL_envz00_1157, obj_t BgL_modulez00_1158, obj_t BgL_releasez00_1159, obj_t BgL_levelz00_1160)
{ AN_OBJECT;
{ /* ./Llib/bigloo.scm 295 */
return 
BGl_checkzd2versionz12zc0zz__biglooz00(BgL_modulez00_1158, 
BSTRING_TO_STRING(BgL_releasez00_1159), BgL_levelz00_1160);} 
}



/* closure-arity */
BGL_EXPORTED_DEF int BGl_closurezd2arityzd2zz__biglooz00(obj_t BgL_procz00_4)
{ AN_OBJECT;
{ /* ./Llib/bigloo.scm 331 */
return 
PROCEDURE_ARITY(BgL_procz00_4);} 
}



/* _closure-arity2125 */
obj_t BGl__closurezd2arity2125zd2zz__biglooz00(obj_t BgL_envz00_1161, obj_t BgL_procz00_1162)
{ AN_OBJECT;
{ /* ./Llib/bigloo.scm 331 */
{ /* ./Llib/bigloo.scm 332 */
int BgL_auxz00_1275;
BgL_auxz00_1275 = 
PROCEDURE_ARITY(BgL_procz00_1162); 
return 
BINT(BgL_auxz00_1275);} } 
}



/* unspecified */
BGL_EXPORTED_DEF obj_t BGl_unspecifiedz00zz__biglooz00()
{ AN_OBJECT;
{ /* ./Llib/bigloo.scm 337 */
return BUNSPEC;} 
}



/* _unspecified */
obj_t BGl__unspecifiedz00zz__biglooz00(obj_t BgL_envz00_1163)
{ AN_OBJECT;
{ /* ./Llib/bigloo.scm 337 */
return BUNSPEC;} 
}



/* cnst? */
BGL_EXPORTED_DEF bool_t BGl_cnstzf3zf3zz__biglooz00(obj_t BgL_objz00_5)
{ AN_OBJECT;
{ /* ./Llib/bigloo.scm 343 */
return 
CNSTP(BgL_objz00_5);} 
}



/* _cnst? */
obj_t BGl__cnstzf3zf3zz__biglooz00(obj_t BgL_envz00_1164, obj_t BgL_objz00_1165)
{ AN_OBJECT;
{ /* ./Llib/bigloo.scm 343 */
{ /* ./Llib/bigloo.scm 344 */
bool_t BgL_auxz00_1279;
BgL_auxz00_1279 = 
CNSTP(BgL_objz00_1165); 
return 
BBOOL(BgL_auxz00_1279);} } 
}



/* opaque? */
BGL_EXPORTED_DEF bool_t BGl_opaquezf3zf3zz__biglooz00(obj_t BgL_objz00_6)
{ AN_OBJECT;
{ /* ./Llib/bigloo.scm 349 */
return 
OPAQUEP(BgL_objz00_6);} 
}



/* _opaque? */
obj_t BGl__opaquezf3zf3zz__biglooz00(obj_t BgL_envz00_1166, obj_t BgL_objz00_1167)
{ AN_OBJECT;
{ /* ./Llib/bigloo.scm 349 */
{ /* ./Llib/bigloo.scm 350 */
bool_t BgL_auxz00_1283;
BgL_auxz00_1283 = 
OPAQUEP(BgL_objz00_1167); 
return 
BBOOL(BgL_auxz00_1283);} } 
}



/* mangle-at! */
long BGl_manglezd2atz12zc0zz__biglooz00(obj_t BgL_newz00_8, obj_t BgL_oldz00_9, int BgL_lenz00_10, long BgL_offsetz00_11)
{ AN_OBJECT;
{ /* ./Llib/bigloo.scm 362 */
{ 
long BgL_rz00_386;long BgL_wz00_387;long BgL_newzd2lenzd2_388;long BgL_checksumz00_389;
BgL_rz00_386 = ((long)0); 
BgL_wz00_387 = BgL_offsetz00_11; 
BgL_newzd2lenzd2_388 = BgL_offsetz00_11; 
BgL_checksumz00_389 = ((long)0); 
BgL_loopz00_390:
{ /* ./Llib/bigloo.scm 367 */
bool_t BgL_testz00_1286;
{ /* ./Llib/bigloo.scm 367 */
long BgL_auxz00_1287;
BgL_auxz00_1287 = 
(long)(BgL_lenz00_10); 
BgL_testz00_1286 = 
(BgL_rz00_386==BgL_auxz00_1287); } 
if(BgL_testz00_1286)
{ /* ./Llib/bigloo.scm 367 */
{ /* ./Llib/bigloo.scm 369 */
int BgL_auxz00_1290;
BgL_auxz00_1290 = 
(int)(BgL_wz00_387); 
STRING_SET(BgL_newz00_8, BgL_auxz00_1290, ((unsigned char)'z')); } 
{ /* ./Llib/bigloo.scm 371 */
long BgL_arg1097z00_392;unsigned char BgL_arg1098z00_393;
BgL_arg1097z00_392 = 
(BgL_wz00_387+((long)1)); 
{ /* ./Llib/bigloo.scm 372 */
int BgL_auxz00_1294;
{ /* ./Llib/bigloo.scm 372 */
long BgL_auxz00_1295;
BgL_auxz00_1295 = 
(BgL_checksumz00_389 & ((long)15)); 
BgL_auxz00_1294 = 
(int)(BgL_auxz00_1295); } 
BgL_arg1098z00_393 = 
STRING_REF(BGl_string2316z00zz__biglooz00, BgL_auxz00_1294); } 
{ /* ./Llib/bigloo.scm 370 */
int BgL_auxz00_1299;
BgL_auxz00_1299 = 
(int)(BgL_arg1097z00_392); 
STRING_SET(BgL_newz00_8, BgL_auxz00_1299, BgL_arg1098z00_393); } } 
{ /* ./Llib/bigloo.scm 374 */
long BgL_arg1106z00_395;unsigned char BgL_arg1107z00_396;
BgL_arg1106z00_395 = 
(BgL_wz00_387+((long)2)); 
{ /* ./Llib/bigloo.scm 375 */
int BgL_auxz00_1303;
{ /* ./Llib/bigloo.scm 375 */
long BgL_auxz00_1304;
{ /* ./Llib/bigloo.scm 375 */
long BgL_auxz00_1305;
{ /* ./Llib/bigloo.scm 375 */
int BgL_auxz00_1306;
BgL_auxz00_1306 = 
(int)(((long)4)); 
BgL_auxz00_1305 = 
(BgL_checksumz00_389 >> BgL_auxz00_1306); } 
BgL_auxz00_1304 = 
(BgL_auxz00_1305 & ((long)15)); } 
BgL_auxz00_1303 = 
(int)(BgL_auxz00_1304); } 
BgL_arg1107z00_396 = 
STRING_REF(BGl_string2316z00zz__biglooz00, BgL_auxz00_1303); } 
{ /* ./Llib/bigloo.scm 373 */
int BgL_auxz00_1312;
BgL_auxz00_1312 = 
(int)(BgL_arg1106z00_395); 
STRING_SET(BgL_newz00_8, BgL_auxz00_1312, BgL_arg1107z00_396); } } 
return 
(BgL_wz00_387+((long)3));}  else 
{ /* ./Llib/bigloo.scm 377 */
unsigned char BgL_cz00_400;
{ /* ./Llib/bigloo.scm 377 */
int BgL_auxz00_1316;
BgL_auxz00_1316 = 
(int)(BgL_rz00_386); 
BgL_cz00_400 = 
STRING_REF(BgL_oldz00_9, BgL_auxz00_1316); } 
{ /* ./Llib/bigloo.scm 378 */
bool_t BgL_test1119z00_401;
{ /* ./Llib/bigloo.scm 378 */
bool_t BgL_test1168z00_419;
{ /* ./Llib/bigloo.scm 378 */
bool_t BgL_test1172z00_421;
{ /* ./Llib/bigloo.scm 378 */
bool_t BgL_res2110z00_809;
BgL_res2110z00_809 = 
isalpha(BgL_cz00_400); 
BgL_test1172z00_421 = BgL_res2110z00_809; } 
if(BgL_test1172z00_421)
{ /* ./Llib/bigloo.scm 378 */
if(
(BgL_cz00_400==((unsigned char)'z')))
{ /* ./Llib/bigloo.scm 378 */
BgL_test1168z00_419 = ((bool_t)0); }  else 
{ /* ./Llib/bigloo.scm 378 */
BgL_test1168z00_419 = ((bool_t)1); } }  else 
{ /* ./Llib/bigloo.scm 378 */
BgL_test1168z00_419 = ((bool_t)0); } } 
if(BgL_test1168z00_419)
{ /* ./Llib/bigloo.scm 378 */
BgL_test1119z00_401 = ((bool_t)1); }  else 
{ /* ./Llib/bigloo.scm 380 */
bool_t BgL_test1169z00_420;
{ /* ./Llib/bigloo.scm 379 */
bool_t BgL_res2111z00_813;
BgL_res2111z00_813 = 
isdigit(BgL_cz00_400); 
BgL_test1169z00_420 = BgL_res2111z00_813; } 
if(BgL_test1169z00_420)
{ /* ./Llib/bigloo.scm 380 */
BgL_test1119z00_401 = ((bool_t)1); }  else 
{ /* ./Llib/bigloo.scm 380 */
BgL_test1119z00_401 = 
(BgL_cz00_400==((unsigned char)'_')); } } } 
if(BgL_test1119z00_401)
{ /* ./Llib/bigloo.scm 378 */
{ /* ./Llib/bigloo.scm 382 */
int BgL_auxz00_1328;
BgL_auxz00_1328 = 
(int)(BgL_wz00_387); 
STRING_SET(BgL_newz00_8, BgL_auxz00_1328, BgL_cz00_400); } 
{ 
long BgL_newzd2lenzd2_1335;long BgL_wz00_1333;long BgL_rz00_1331;
BgL_rz00_1331 = 
(BgL_rz00_386+((long)1)); 
BgL_wz00_1333 = 
(BgL_wz00_387+((long)1)); 
BgL_newzd2lenzd2_1335 = 
(BgL_newzd2lenzd2_388+((long)1)); 
BgL_newzd2lenzd2_388 = BgL_newzd2lenzd2_1335; 
BgL_wz00_387 = BgL_wz00_1333; 
BgL_rz00_386 = BgL_rz00_1331; 
goto BgL_loopz00_390;} }  else 
{ /* ./Llib/bigloo.scm 387 */
long BgL_icz00_405;
BgL_icz00_405 = 
(BgL_cz00_400); 
{ /* ./Llib/bigloo.scm 388 */
int BgL_auxz00_1338;
BgL_auxz00_1338 = 
(int)(BgL_wz00_387); 
STRING_SET(BgL_newz00_8, BgL_auxz00_1338, ((unsigned char)'z')); } 
{ /* ./Llib/bigloo.scm 390 */
long BgL_arg1131z00_406;unsigned char BgL_arg1132z00_407;
BgL_arg1131z00_406 = 
(BgL_wz00_387+((long)1)); 
{ /* ./Llib/bigloo.scm 391 */
int BgL_auxz00_1342;
{ /* ./Llib/bigloo.scm 391 */
long BgL_auxz00_1343;
BgL_auxz00_1343 = 
(BgL_icz00_405 & ((long)15)); 
BgL_auxz00_1342 = 
(int)(BgL_auxz00_1343); } 
BgL_arg1132z00_407 = 
STRING_REF(BGl_string2316z00zz__biglooz00, BgL_auxz00_1342); } 
{ /* ./Llib/bigloo.scm 389 */
int BgL_auxz00_1347;
BgL_auxz00_1347 = 
(int)(BgL_arg1131z00_406); 
STRING_SET(BgL_newz00_8, BgL_auxz00_1347, BgL_arg1132z00_407); } } 
{ /* ./Llib/bigloo.scm 393 */
long BgL_arg1140z00_409;unsigned char BgL_arg1141z00_410;
BgL_arg1140z00_409 = 
(BgL_wz00_387+((long)2)); 
{ /* ./Llib/bigloo.scm 394 */
int BgL_auxz00_1351;
{ /* ./Llib/bigloo.scm 394 */
long BgL_auxz00_1352;
{ /* ./Llib/bigloo.scm 394 */
long BgL_auxz00_1353;
{ /* ./Llib/bigloo.scm 394 */
int BgL_auxz00_1354;
BgL_auxz00_1354 = 
(int)(((long)4)); 
BgL_auxz00_1353 = 
(BgL_icz00_405 >> BgL_auxz00_1354); } 
BgL_auxz00_1352 = 
(BgL_auxz00_1353 & ((long)15)); } 
BgL_auxz00_1351 = 
(int)(BgL_auxz00_1352); } 
BgL_arg1141z00_410 = 
STRING_REF(BGl_string2316z00zz__biglooz00, BgL_auxz00_1351); } 
{ /* ./Llib/bigloo.scm 392 */
int BgL_auxz00_1360;
BgL_auxz00_1360 = 
(int)(BgL_arg1140z00_409); 
STRING_SET(BgL_newz00_8, BgL_auxz00_1360, BgL_arg1141z00_410); } } 
{ 
long BgL_checksumz00_1369;long BgL_newzd2lenzd2_1367;long BgL_wz00_1365;long BgL_rz00_1363;
BgL_rz00_1363 = 
(BgL_rz00_386+((long)1)); 
BgL_wz00_1365 = 
(BgL_wz00_387+((long)3)); 
BgL_newzd2lenzd2_1367 = 
(BgL_newzd2lenzd2_388+((long)3)); 
{ /* ./Llib/bigloo.scm 398 */
long BgL_auxz00_1370;
BgL_auxz00_1370 = 
(BgL_cz00_400); 
BgL_checksumz00_1369 = 
(BgL_checksumz00_389 ^ BgL_auxz00_1370); } 
BgL_checksumz00_389 = BgL_checksumz00_1369; 
BgL_newzd2lenzd2_388 = BgL_newzd2lenzd2_1367; 
BgL_wz00_387 = BgL_wz00_1365; 
BgL_rz00_386 = BgL_rz00_1363; 
goto BgL_loopz00_390;} } } } } } } 
}



/* bigloo-mangle */
BGL_EXPORTED_DEF obj_t bigloo_mangle(obj_t BgL_stringz00_12)
{ AN_OBJECT;
{ /* ./Llib/bigloo.scm 403 */
{ /* ./Llib/bigloo.scm 404 */
int BgL_lenz00_423;
BgL_lenz00_423 = 
STRING_LENGTH(BgL_stringz00_12); 
{ /* ./Llib/bigloo.scm 404 */
obj_t BgL_newz00_424;
{ /* ./Llib/bigloo.scm 405 */
long BgL_arg1187z00_427;
{ /* ./Llib/bigloo.scm 405 */
long BgL_auxz00_1374;
{ /* ./Llib/bigloo.scm 405 */
long BgL_auxz00_1375;
BgL_auxz00_1375 = 
(long)(BgL_lenz00_423); 
BgL_auxz00_1374 = 
(BgL_auxz00_1375*((long)3)); } 
BgL_arg1187z00_427 = 
(BgL_auxz00_1374+((long)7)); } 
{ /* ./Llib/bigloo.scm 405 */
int BgL_auxz00_1379;
BgL_auxz00_1379 = 
(int)(BgL_arg1187z00_427); 
BgL_newz00_424 = 
make_string(BgL_auxz00_1379, ((unsigned char)' ')); } } 
{ /* ./Llib/bigloo.scm 405 */

{ /* ./Llib/bigloo.scm 406 */
bool_t BgL_testz00_1382;
{ /* ./Llib/bigloo.scm 406 */
long BgL_auxz00_1383;
BgL_auxz00_1383 = 
(long)(BgL_lenz00_423); 
BgL_testz00_1382 = 
(BgL_auxz00_1383==((long)0)); } 
if(BgL_testz00_1382)
{ /* ./Llib/bigloo.scm 406 */
FAILURE(BGl_string2317z00zz__biglooz00,BGl_string2318z00zz__biglooz00,BgL_stringz00_12);}  else 
{ /* ./Llib/bigloo.scm 408 */
long BgL_stopz00_426;
BgL_stopz00_426 = 
BGl_manglezd2atz12zc0zz__biglooz00(BgL_newz00_424, BgL_stringz00_12, BgL_lenz00_423, ((long)4)); 
{ /* ./Llib/bigloo.scm 409 */
int BgL_auxz00_1392;int BgL_auxz00_1390;int BgL_auxz00_1388;
BgL_auxz00_1392 = 
(int)(((long)4)); 
BgL_auxz00_1390 = 
(int)(((long)0)); 
BgL_auxz00_1388 = 
(int)(((long)0)); 
blit_string(BGl_string2319z00zz__biglooz00, BgL_auxz00_1388, BgL_newz00_424, BgL_auxz00_1390, BgL_auxz00_1392); } 
{ /* ./Llib/bigloo.scm 410 */
int BgL_auxz00_1397;int BgL_auxz00_1395;
BgL_auxz00_1397 = 
(int)(BgL_stopz00_426); 
BgL_auxz00_1395 = 
(int)(((long)0)); 
return 
c_substring(BgL_newz00_424, BgL_auxz00_1395, BgL_auxz00_1397);} } } } } } } 
}



/* _bigloo-mangle2130 */
obj_t BGl__bigloozd2mangle2130zd2zz__biglooz00(obj_t BgL_envz00_1168, obj_t BgL_stringz00_1169)
{ AN_OBJECT;
{ /* ./Llib/bigloo.scm 403 */
return 
bigloo_mangle(BgL_stringz00_1169);} 
}



/* bigloo-module-mangle */
BGL_EXPORTED_DEF obj_t bigloo_module_mangle(obj_t BgL_idz00_13, obj_t BgL_modulez00_14)
{ AN_OBJECT;
{ /* ./Llib/bigloo.scm 415 */
{ /* ./Llib/bigloo.scm 416 */
long BgL_lenz00_431;
{ /* ./Llib/bigloo.scm 416 */
long BgL_auxz00_1405;long BgL_auxz00_1401;
{ /* ./Llib/bigloo.scm 416 */
int BgL_auxz00_1406;
BgL_auxz00_1406 = 
STRING_LENGTH(BgL_modulez00_14); 
BgL_auxz00_1405 = 
(long)(BgL_auxz00_1406); } 
{ /* ./Llib/bigloo.scm 416 */
int BgL_auxz00_1402;
BgL_auxz00_1402 = 
STRING_LENGTH(BgL_idz00_13); 
BgL_auxz00_1401 = 
(long)(BgL_auxz00_1402); } 
BgL_lenz00_431 = 
(BgL_auxz00_1401+BgL_auxz00_1405); } 
{ /* ./Llib/bigloo.scm 416 */
obj_t BgL_newz00_432;
{ /* ./Llib/bigloo.scm 417 */
long BgL_arg1218z00_441;
{ /* ./Llib/bigloo.scm 417 */
long BgL_auxz00_1410;
BgL_auxz00_1410 = 
(BgL_lenz00_431*((long)3)); 
BgL_arg1218z00_441 = 
(BgL_auxz00_1410+((long)12)); } 
{ /* ./Llib/bigloo.scm 417 */
int BgL_auxz00_1413;
BgL_auxz00_1413 = 
(int)(BgL_arg1218z00_441); 
BgL_newz00_432 = 
make_string(BgL_auxz00_1413, ((unsigned char)' ')); } } 
{ /* ./Llib/bigloo.scm 417 */

if(
(BgL_lenz00_431==((long)0)))
{ /* ./Llib/bigloo.scm 418 */
FAILURE(BGl_string2317z00zz__biglooz00,BGl_string2318z00zz__biglooz00,BGl_stringzd2envzd2zz__r4_strings_6_7z00);}  else 
{ /* ./Llib/bigloo.scm 420 */
long BgL_modzd2startzd2_434;
BgL_modzd2startzd2_434 = 
BGl_manglezd2atz12zc0zz__biglooz00(BgL_newz00_432, BgL_idz00_13, 
STRING_LENGTH(BgL_idz00_13), ((long)4)); 
{ /* ./Llib/bigloo.scm 421 */
int BgL_auxz00_1421;
BgL_auxz00_1421 = 
(int)(BgL_modzd2startzd2_434); 
STRING_SET(BgL_newz00_432, BgL_auxz00_1421, ((unsigned char)'z')); } 
{ /* ./Llib/bigloo.scm 422 */
long BgL_arg1200z00_435;
BgL_arg1200z00_435 = 
(((long)1)+BgL_modzd2startzd2_434); 
{ /* ./Llib/bigloo.scm 422 */
int BgL_auxz00_1425;
BgL_auxz00_1425 = 
(int)(BgL_arg1200z00_435); 
STRING_SET(BgL_newz00_432, BgL_auxz00_1425, ((unsigned char)'z')); } } 
{ /* ./Llib/bigloo.scm 423 */
long BgL_stopz00_436;
BgL_stopz00_436 = 
BGl_manglezd2atz12zc0zz__biglooz00(BgL_newz00_432, BgL_modulez00_14, 
STRING_LENGTH(BgL_modulez00_14), 
(BgL_modzd2startzd2_434+((long)2))); 
{ /* ./Llib/bigloo.scm 426 */
int BgL_auxz00_1435;int BgL_auxz00_1433;int BgL_auxz00_1431;
BgL_auxz00_1435 = 
(int)(((long)4)); 
BgL_auxz00_1433 = 
(int)(((long)0)); 
BgL_auxz00_1431 = 
(int)(((long)0)); 
blit_string(BGl_string2320z00zz__biglooz00, BgL_auxz00_1431, BgL_newz00_432, BgL_auxz00_1433, BgL_auxz00_1435); } 
{ /* ./Llib/bigloo.scm 427 */
int BgL_auxz00_1440;int BgL_auxz00_1438;
BgL_auxz00_1440 = 
(int)(BgL_stopz00_436); 
BgL_auxz00_1438 = 
(int)(((long)0)); 
return 
c_substring(BgL_newz00_432, BgL_auxz00_1438, BgL_auxz00_1440);} } } } } } } 
}



/* _bigloo-module-mangle2132 */
obj_t BGl__bigloozd2modulezd2mangle2132z00zz__biglooz00(obj_t BgL_envz00_1170, obj_t BgL_idz00_1171, obj_t BgL_modulez00_1172)
{ AN_OBJECT;
{ /* ./Llib/bigloo.scm 415 */
return 
bigloo_module_mangle(BgL_idz00_1171, BgL_modulez00_1172);} 
}



/* bigloo-mangled? */
BGL_EXPORTED_DEF bool_t bigloo_mangledp(obj_t BgL_stringz00_15)
{ AN_OBJECT;
{ /* ./Llib/bigloo.scm 432 */
{ /* ./Llib/bigloo.scm 433 */
int BgL_lenz00_447;
BgL_lenz00_447 = 
STRING_LENGTH(BgL_stringz00_15); 
{ /* ./Llib/bigloo.scm 434 */
bool_t BgL_testz00_1445;
{ /* ./Llib/bigloo.scm 434 */
long BgL_auxz00_1446;
BgL_auxz00_1446 = 
(long)(BgL_lenz00_447); 
BgL_testz00_1445 = 
(BgL_auxz00_1446>((long)7)); } 
if(BgL_testz00_1445)
{ /* ./Llib/bigloo.scm 435 */
bool_t BgL__andtest_1006z00_449;
{ /* ./Llib/bigloo.scm 435 */
bool_t BgL__ortest_1009z00_464;
{ /* ./Llib/bigloo.scm 435 */
int BgL_auxz00_1449;
BgL_auxz00_1449 = 
(int)(((long)4)); 
BgL__ortest_1009z00_464 = 
bigloo_strncmp(BgL_stringz00_15, BGl_string2319z00zz__biglooz00, BgL_auxz00_1449); } 
if(BgL__ortest_1009z00_464)
{ /* ./Llib/bigloo.scm 435 */
BgL__andtest_1006z00_449 = BgL__ortest_1009z00_464; }  else 
{ /* ./Llib/bigloo.scm 436 */
int BgL_auxz00_1453;
BgL_auxz00_1453 = 
(int)(((long)4)); 
BgL__andtest_1006z00_449 = 
bigloo_strncmp(BgL_stringz00_15, BGl_string2320z00zz__biglooz00, BgL_auxz00_1453); } } 
if(BgL__andtest_1006z00_449)
{ /* ./Llib/bigloo.scm 437 */
bool_t BgL_testz00_1457;
{ /* ./Llib/bigloo.scm 437 */
unsigned char BgL_auxz00_1458;
{ /* ./Llib/bigloo.scm 437 */
int BgL_auxz00_1459;
{ /* ./Llib/bigloo.scm 437 */
long BgL_auxz00_1460;
{ /* ./Llib/bigloo.scm 437 */
long BgL_auxz00_1461;
BgL_auxz00_1461 = 
(long)(BgL_lenz00_447); 
BgL_auxz00_1460 = 
(BgL_auxz00_1461-((long)3)); } 
BgL_auxz00_1459 = 
(int)(BgL_auxz00_1460); } 
BgL_auxz00_1458 = 
STRING_REF(BgL_stringz00_15, BgL_auxz00_1459); } 
BgL_testz00_1457 = 
(BgL_auxz00_1458==((unsigned char)'z')); } 
if(BgL_testz00_1457)
{ /* ./Llib/bigloo.scm 438 */
bool_t BgL__andtest_1008z00_451;
{ /* ./Llib/bigloo.scm 438 */
bool_t BgL__ortest_1010z00_457;
{ /* ./Llib/bigloo.scm 438 */
unsigned char BgL_arg1256z00_460;
{ /* ./Llib/bigloo.scm 438 */
int BgL_auxz00_1467;
{ /* ./Llib/bigloo.scm 438 */
long BgL_auxz00_1468;
{ /* ./Llib/bigloo.scm 438 */
long BgL_auxz00_1469;
BgL_auxz00_1469 = 
(long)(BgL_lenz00_447); 
BgL_auxz00_1468 = 
(BgL_auxz00_1469-((long)2)); } 
BgL_auxz00_1467 = 
(int)(BgL_auxz00_1468); } 
BgL_arg1256z00_460 = 
STRING_REF(BgL_stringz00_15, BgL_auxz00_1467); } 
{ /* ./Llib/bigloo.scm 438 */
bool_t BgL_res2114z00_946;
BgL_res2114z00_946 = 
isalpha(BgL_arg1256z00_460); 
BgL__ortest_1010z00_457 = BgL_res2114z00_946; } } 
if(BgL__ortest_1010z00_457)
{ /* ./Llib/bigloo.scm 438 */
BgL__andtest_1008z00_451 = BgL__ortest_1010z00_457; }  else 
{ /* ./Llib/bigloo.scm 439 */
unsigned char BgL_arg1249z00_458;
{ /* ./Llib/bigloo.scm 439 */
int BgL_auxz00_1476;
{ /* ./Llib/bigloo.scm 439 */
long BgL_auxz00_1477;
{ /* ./Llib/bigloo.scm 439 */
long BgL_auxz00_1478;
BgL_auxz00_1478 = 
(long)(BgL_lenz00_447); 
BgL_auxz00_1477 = 
(BgL_auxz00_1478-((long)2)); } 
BgL_auxz00_1476 = 
(int)(BgL_auxz00_1477); } 
BgL_arg1249z00_458 = 
STRING_REF(BgL_stringz00_15, BgL_auxz00_1476); } 
{ /* ./Llib/bigloo.scm 439 */
bool_t BgL_res2115z00_952;
BgL_res2115z00_952 = 
isdigit(BgL_arg1249z00_458); 
BgL__andtest_1008z00_451 = BgL_res2115z00_952; } } } 
if(BgL__andtest_1008z00_451)
{ /* ./Llib/bigloo.scm 440 */
bool_t BgL__ortest_1011z00_452;
{ /* ./Llib/bigloo.scm 440 */
unsigned char BgL_arg1240z00_455;
{ /* ./Llib/bigloo.scm 440 */
int BgL_auxz00_1485;
{ /* ./Llib/bigloo.scm 440 */
long BgL_auxz00_1486;
{ /* ./Llib/bigloo.scm 440 */
long BgL_auxz00_1487;
BgL_auxz00_1487 = 
(long)(BgL_lenz00_447); 
BgL_auxz00_1486 = 
(BgL_auxz00_1487-((long)1)); } 
BgL_auxz00_1485 = 
(int)(BgL_auxz00_1486); } 
BgL_arg1240z00_455 = 
STRING_REF(BgL_stringz00_15, BgL_auxz00_1485); } 
{ /* ./Llib/bigloo.scm 440 */
bool_t BgL_res2116z00_958;
BgL_res2116z00_958 = 
isalpha(BgL_arg1240z00_455); 
BgL__ortest_1011z00_452 = BgL_res2116z00_958; } } 
if(BgL__ortest_1011z00_452)
{ /* ./Llib/bigloo.scm 440 */
return BgL__ortest_1011z00_452;}  else 
{ /* ./Llib/bigloo.scm 441 */
unsigned char BgL_arg1233z00_453;
{ /* ./Llib/bigloo.scm 441 */
int BgL_auxz00_1494;
{ /* ./Llib/bigloo.scm 441 */
long BgL_auxz00_1495;
{ /* ./Llib/bigloo.scm 441 */
long BgL_auxz00_1496;
BgL_auxz00_1496 = 
(long)(BgL_lenz00_447); 
BgL_auxz00_1495 = 
(BgL_auxz00_1496-((long)1)); } 
BgL_auxz00_1494 = 
(int)(BgL_auxz00_1495); } 
BgL_arg1233z00_453 = 
STRING_REF(BgL_stringz00_15, BgL_auxz00_1494); } 
{ /* ./Llib/bigloo.scm 441 */
bool_t BgL_res2117z00_964;
BgL_res2117z00_964 = 
isdigit(BgL_arg1233z00_453); 
return BgL_res2117z00_964;} } }  else 
{ /* ./Llib/bigloo.scm 438 */
return ((bool_t)0);} }  else 
{ /* ./Llib/bigloo.scm 437 */
return ((bool_t)0);} }  else 
{ /* ./Llib/bigloo.scm 435 */
return ((bool_t)0);} }  else 
{ /* ./Llib/bigloo.scm 434 */
return ((bool_t)0);} } } } 
}



/* _bigloo-mangled?2135 */
obj_t BGl__bigloozd2mangledzf32135z21zz__biglooz00(obj_t BgL_envz00_1175, obj_t BgL_stringz00_1176)
{ AN_OBJECT;
{ /* ./Llib/bigloo.scm 432 */
{ /* ./Llib/bigloo.scm 433 */
bool_t BgL_auxz00_1502;
BgL_auxz00_1502 = 
bigloo_mangledp(BgL_stringz00_1176); 
return 
BBOOL(BgL_auxz00_1502);} } 
}



/* bigloo-need-mangling? */
BGL_EXPORTED_DEF bool_t BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(obj_t BgL_stringz00_16)
{ AN_OBJECT;
{ /* ./Llib/bigloo.scm 446 */
{ /* ./Llib/bigloo.scm 447 */
int BgL_lenz00_465;
BgL_lenz00_465 = 
STRING_LENGTH(BgL_stringz00_16); 
{ /* ./Llib/bigloo.scm 448 */
bool_t BgL_testz00_1506;
{ /* ./Llib/bigloo.scm 448 */
long BgL_auxz00_1507;
BgL_auxz00_1507 = 
(long)(BgL_lenz00_465); 
BgL_testz00_1506 = 
(BgL_auxz00_1507>((long)0)); } 
if(BgL_testz00_1506)
{ /* ./Llib/bigloo.scm 449 */
bool_t BgL__ortest_1013z00_467;
{ /* ./Llib/bigloo.scm 449 */
bool_t BgL_test1289z00_476;
{ /* ./Llib/bigloo.scm 449 */
bool_t BgL_test1290z00_477;
{ /* ./Llib/bigloo.scm 449 */
unsigned char BgL_arg1296z00_479;
{ /* ./Llib/bigloo.scm 449 */
int BgL_auxz00_1510;
BgL_auxz00_1510 = 
(int)(((long)0)); 
BgL_arg1296z00_479 = 
STRING_REF(BgL_stringz00_16, BgL_auxz00_1510); } 
{ /* ./Llib/bigloo.scm 449 */
bool_t BgL_res2118z00_971;
BgL_res2118z00_971 = 
isalpha(BgL_arg1296z00_479); 
BgL_test1290z00_477 = BgL_res2118z00_971; } } 
if(BgL_test1290z00_477)
{ /* ./Llib/bigloo.scm 449 */
BgL_test1289z00_476 = ((bool_t)1); }  else 
{ /* ./Llib/bigloo.scm 450 */
unsigned char BgL_auxz00_1515;
{ /* ./Llib/bigloo.scm 450 */
int BgL_auxz00_1516;
BgL_auxz00_1516 = 
(int)(((long)0)); 
BgL_auxz00_1515 = 
STRING_REF(BgL_stringz00_16, BgL_auxz00_1516); } 
BgL_test1289z00_476 = 
(BgL_auxz00_1515==((unsigned char)'_')); } } 
if(BgL_test1289z00_476)
{ /* ./Llib/bigloo.scm 449 */
BgL__ortest_1013z00_467 = ((bool_t)0); }  else 
{ /* ./Llib/bigloo.scm 449 */
BgL__ortest_1013z00_467 = ((bool_t)1); } } 
if(BgL__ortest_1013z00_467)
{ /* ./Llib/bigloo.scm 449 */
return BgL__ortest_1013z00_467;}  else 
{ 
long BgL_iz00_468;
BgL_iz00_468 = ((long)1); 
BgL_loopz00_469:
{ /* ./Llib/bigloo.scm 452 */
bool_t BgL_testz00_1522;
{ /* ./Llib/bigloo.scm 452 */
long BgL_auxz00_1523;
BgL_auxz00_1523 = 
(long)(BgL_lenz00_465); 
BgL_testz00_1522 = 
(BgL_iz00_468>=BgL_auxz00_1523); } 
if(BgL_testz00_1522)
{ /* ./Llib/bigloo.scm 452 */
return ((bool_t)0);}  else 
{ /* ./Llib/bigloo.scm 454 */
unsigned char BgL_cz00_471;
{ /* ./Llib/bigloo.scm 454 */
int BgL_auxz00_1526;
BgL_auxz00_1526 = 
(int)(BgL_iz00_468); 
BgL_cz00_471 = 
STRING_REF(BgL_stringz00_16, BgL_auxz00_1526); } 
{ /* ./Llib/bigloo.scm 455 */
bool_t BgL_test1277z00_472;
{ /* ./Llib/bigloo.scm 455 */
bool_t BgL_test1282z00_474;
{ /* ./Llib/bigloo.scm 455 */
bool_t BgL_res2119z00_981;
BgL_res2119z00_981 = 
isalpha(BgL_cz00_471); 
BgL_test1282z00_474 = BgL_res2119z00_981; } 
if(BgL_test1282z00_474)
{ /* ./Llib/bigloo.scm 455 */
BgL_test1277z00_472 = ((bool_t)1); }  else 
{ /* ./Llib/bigloo.scm 457 */
bool_t BgL_test1283z00_475;
{ /* ./Llib/bigloo.scm 456 */
bool_t BgL_res2120z00_983;
BgL_res2120z00_983 = 
isdigit(BgL_cz00_471); 
BgL_test1283z00_475 = BgL_res2120z00_983; } 
if(BgL_test1283z00_475)
{ /* ./Llib/bigloo.scm 457 */
BgL_test1277z00_472 = ((bool_t)1); }  else 
{ /* ./Llib/bigloo.scm 457 */
BgL_test1277z00_472 = 
(BgL_cz00_471==((unsigned char)'_')); } } } 
if(BgL_test1277z00_472)
{ 
long BgL_iz00_1535;
BgL_iz00_1535 = 
(BgL_iz00_468+((long)1)); 
BgL_iz00_468 = BgL_iz00_1535; 
goto BgL_loopz00_469;}  else 
{ /* ./Llib/bigloo.scm 455 */
return ((bool_t)1);} } } } } }  else 
{ /* ./Llib/bigloo.scm 448 */
return ((bool_t)0);} } } } 
}



/* _bigloo-need-mangling?2137 */
obj_t BGl__bigloozd2needzd2manglingzf32137zf3zz__biglooz00(obj_t BgL_envz00_1177, obj_t BgL_stringz00_1178)
{ AN_OBJECT;
{ /* ./Llib/bigloo.scm 446 */
{ /* ./Llib/bigloo.scm 447 */
bool_t BgL_auxz00_1537;
BgL_auxz00_1537 = 
BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(BgL_stringz00_1178); 
return 
BBOOL(BgL_auxz00_1537);} } 
}



/* bigloo-demangle */
BGL_EXPORTED_DEF obj_t bigloo_demangle(obj_t BgL_stringz00_17)
{ AN_OBJECT;
{ /* ./Llib/bigloo.scm 464 */
{ /* ./Llib/bigloo.scm 465 */
int BgL_lenz00_480;
BgL_lenz00_480 = 
STRING_LENGTH(BgL_stringz00_17); 
{ /* ./Llib/bigloo.scm 465 */
long BgL_clenz00_481;
{ /* ./Llib/bigloo.scm 466 */
long BgL_auxz00_1541;
BgL_auxz00_1541 = 
(long)(BgL_lenz00_480); 
BgL_clenz00_481 = 
(BgL_auxz00_1541-((long)3)); } 
{ /* ./Llib/bigloo.scm 466 */

{ 

{ /* ./Llib/bigloo.scm 515 */
bool_t BgL_testz00_1544;
{ /* ./Llib/bigloo.scm 515 */
long BgL_auxz00_1545;
BgL_auxz00_1545 = 
(long)(BgL_lenz00_480); 
BgL_testz00_1544 = 
(BgL_auxz00_1545<((long)8)); } 
if(BgL_testz00_1544)
{ /* ./Llib/bigloo.scm 515 */
FAILURE(BGl_string2321z00zz__biglooz00,BGl_string2322z00zz__biglooz00,BgL_stringz00_17);}  else 
{ /* ./Llib/bigloo.scm 517 */
bool_t BgL_testz00_1549;
{ /* ./Llib/bigloo.scm 517 */
int BgL_auxz00_1550;
BgL_auxz00_1550 = 
(int)(((long)4)); 
BgL_testz00_1549 = 
bigloo_strncmp(BgL_stringz00_17, BGl_string2319z00zz__biglooz00, BgL_auxz00_1550); } 
if(BgL_testz00_1549)
{ /* ./Llib/bigloo.scm 517 */
{ /* ./Llib/bigloo.scm 505 */
obj_t BgL_strz00_499;
BgL_strz00_499 = 
BGl_bigloozd2demanglezd2atz00zz__biglooz00(BgL_stringz00_17, BgL_clenz00_481, 
BINT(((long)4))); 
{ /* ./Llib/bigloo.scm 507 */
obj_t BgL_offsetz00_500;
{ /* ./Llib/bigloo.scm 507 */
int BgL_auxz00_1555;
BgL_auxz00_1555 = 
(int)(((long)1)); 
BgL_offsetz00_500 = 
BGL_MVALUES_VAL(BgL_auxz00_1555); } 
{ /* ./Llib/bigloo.scm 507 */
int BgL_auxz00_1558;
BgL_auxz00_1558 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_auxz00_1558); } 
{ /* ./Llib/bigloo.scm 507 */
int BgL_auxz00_1561;
BgL_auxz00_1561 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_auxz00_1561, BUNSPEC); } 
return BgL_strz00_499;} } }  else 
{ /* ./Llib/bigloo.scm 519 */
bool_t BgL_testz00_1564;
{ /* ./Llib/bigloo.scm 519 */
int BgL_auxz00_1565;
BgL_auxz00_1565 = 
(int)(((long)4)); 
BgL_testz00_1564 = 
bigloo_strncmp(BgL_stringz00_17, BGl_string2320z00zz__biglooz00, BgL_auxz00_1565); } 
if(BgL_testz00_1564)
{ /* ./Llib/bigloo.scm 519 */
{ /* ./Llib/bigloo.scm 509 */
obj_t BgL_idz00_492;
BgL_idz00_492 = 
BGl_bigloozd2demanglezd2atz00zz__biglooz00(BgL_stringz00_17, BgL_clenz00_481, 
BINT(((long)4))); 
{ /* ./Llib/bigloo.scm 511 */
obj_t BgL_offsetz00_493;
{ /* ./Llib/bigloo.scm 511 */
int BgL_auxz00_1570;
BgL_auxz00_1570 = 
(int)(((long)1)); 
BgL_offsetz00_493 = 
BGL_MVALUES_VAL(BgL_auxz00_1570); } 
{ /* ./Llib/bigloo.scm 511 */
obj_t BgL_modulez00_494;
BgL_modulez00_494 = 
BGl_bigloozd2demanglezd2atz00zz__biglooz00(BgL_stringz00_17, BgL_clenz00_481, BgL_offsetz00_493); 
{ /* ./Llib/bigloo.scm 513 */
obj_t BgL_offsetz00_495;
{ /* ./Llib/bigloo.scm 513 */
int BgL_auxz00_1574;
BgL_auxz00_1574 = 
(int)(((long)1)); 
BgL_offsetz00_495 = 
BGL_MVALUES_VAL(BgL_auxz00_1574); } 
{ /* ./Llib/bigloo.scm 513 */
int BgL_auxz00_1577;
BgL_auxz00_1577 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_auxz00_1577); } 
{ /* ./Llib/bigloo.scm 513 */
int BgL_auxz00_1580;
BgL_auxz00_1580 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_auxz00_1580, BgL_modulez00_494); } 
return BgL_idz00_492;} } } } }  else 
{ /* ./Llib/bigloo.scm 519 */
return BgL_stringz00_17;} } } } } } } } } 
}



/* bigloo-demangle-at */
obj_t BGl_bigloozd2demanglezd2atz00zz__biglooz00(obj_t BgL_stringz00_1190, long BgL_clenz00_1189, obj_t BgL_offsetz00_503)
{ AN_OBJECT;
{ /* ./Llib/bigloo.scm 503 */
{ /* ./Llib/bigloo.scm 480 */
obj_t BgL_newz00_505;
{ /* ./Llib/bigloo.scm 480 */
int BgL_auxz00_1583;
BgL_auxz00_1583 = 
(int)(BgL_clenz00_1189); 
BgL_newz00_505 = 
make_string(BgL_auxz00_1583, ((unsigned char)' ')); } 
{ 
obj_t BgL_rz00_506;long BgL_wz00_507;long BgL_checksumz00_508;
BgL_rz00_506 = BgL_offsetz00_503; 
BgL_wz00_507 = ((long)0); 
BgL_checksumz00_508 = ((long)0); 
BgL_loopz00_509:
{ /* ./Llib/bigloo.scm 484 */
bool_t BgL_testz00_1586;
{ /* ./Llib/bigloo.scm 484 */
long BgL_auxz00_1587;
BgL_auxz00_1587 = 
(long)CINT(BgL_rz00_506); 
BgL_testz00_1586 = 
(BgL_auxz00_1587==BgL_clenz00_1189); } 
if(BgL_testz00_1586)
{ /* ./Llib/bigloo.scm 486 */
bool_t BgL_testz00_1590;
{ /* ./Llib/bigloo.scm 486 */
long BgL_auxz00_1591;
BgL_auxz00_1591 = 
BGl_getzd28bitszd2integerz00zz__biglooz00(BgL_stringz00_1190, BgL_rz00_506); 
BgL_testz00_1590 = 
(BgL_checksumz00_508==BgL_auxz00_1591); } 
if(BgL_testz00_1590)
{ /* ./Llib/bigloo.scm 487 */
obj_t BgL_val0_1014z00_512;long BgL_val1_1015z00_513;
{ /* ./Llib/bigloo.scm 487 */
int BgL_auxz00_1596;int BgL_auxz00_1594;
BgL_auxz00_1596 = 
(int)(BgL_wz00_507); 
BgL_auxz00_1594 = 
(int)(((long)0)); 
BgL_val0_1014z00_512 = 
c_substring(BgL_newz00_505, BgL_auxz00_1594, BgL_auxz00_1596); } 
{ /* ./Llib/bigloo.scm 487 */
long BgL_auxz00_1599;
BgL_auxz00_1599 = 
(long)CINT(BgL_rz00_506); 
BgL_val1_1015z00_513 = 
(BgL_auxz00_1599+((long)3)); } 
{ /* ./Llib/bigloo.scm 487 */
int BgL_auxz00_1602;
BgL_auxz00_1602 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_auxz00_1602); } 
{ /* ./Llib/bigloo.scm 487 */
obj_t BgL_auxz00_1607;int BgL_auxz00_1605;
BgL_auxz00_1607 = 
BINT(BgL_val1_1015z00_513); 
BgL_auxz00_1605 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_auxz00_1605, BgL_auxz00_1607); } 
return BgL_val0_1014z00_512;}  else 
{ /* ./Llib/bigloo.scm 486 */
FAILURE(BGl_string2321z00zz__biglooz00,BGl_string2323z00zz__biglooz00,BgL_stringz00_1190);} }  else 
{ /* ./Llib/bigloo.scm 489 */
unsigned char BgL_cz00_515;
{ /* ./Llib/bigloo.scm 489 */
int BgL_auxz00_1611;
BgL_auxz00_1611 = 
CINT(BgL_rz00_506); 
BgL_cz00_515 = 
STRING_REF(BgL_stringz00_1190, BgL_auxz00_1611); } 
if(
(BgL_cz00_515==((unsigned char)'z')))
{ /* ./Llib/bigloo.scm 491 */
bool_t BgL_testz00_1616;
{ /* ./Llib/bigloo.scm 491 */
unsigned char BgL_auxz00_1617;
{ /* ./Llib/bigloo.scm 491 */
int BgL_auxz00_1618;
{ /* ./Llib/bigloo.scm 491 */
long BgL_auxz00_1619;
{ /* ./Llib/bigloo.scm 491 */
long BgL_auxz00_1620;
BgL_auxz00_1620 = 
(long)CINT(BgL_rz00_506); 
BgL_auxz00_1619 = 
(BgL_auxz00_1620+((long)1)); } 
BgL_auxz00_1618 = 
(int)(BgL_auxz00_1619); } 
BgL_auxz00_1617 = 
STRING_REF(BgL_stringz00_1190, BgL_auxz00_1618); } 
BgL_testz00_1616 = 
(BgL_auxz00_1617==((unsigned char)'z')); } 
if(BgL_testz00_1616)
{ /* ./Llib/bigloo.scm 492 */
obj_t BgL_val0_1016z00_518;long BgL_val1_1017z00_519;
{ /* ./Llib/bigloo.scm 492 */
long BgL_arg1341z00_521;
BgL_arg1341z00_521 = 
(BgL_wz00_507-((long)1)); 
{ /* ./Llib/bigloo.scm 492 */
int BgL_auxz00_1629;int BgL_auxz00_1627;
BgL_auxz00_1629 = 
(int)(BgL_arg1341z00_521); 
BgL_auxz00_1627 = 
(int)(((long)0)); 
BgL_val0_1016z00_518 = 
c_substring(BgL_newz00_505, BgL_auxz00_1627, BgL_auxz00_1629); } } 
{ /* ./Llib/bigloo.scm 492 */
long BgL_auxz00_1632;
BgL_auxz00_1632 = 
(long)CINT(BgL_rz00_506); 
BgL_val1_1017z00_519 = 
(BgL_auxz00_1632+((long)2)); } 
{ /* ./Llib/bigloo.scm 492 */
int BgL_auxz00_1635;
BgL_auxz00_1635 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_auxz00_1635); } 
{ /* ./Llib/bigloo.scm 492 */
obj_t BgL_auxz00_1640;int BgL_auxz00_1638;
BgL_auxz00_1640 = 
BINT(BgL_val1_1017z00_519); 
BgL_auxz00_1638 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_auxz00_1638, BgL_auxz00_1640); } 
return BgL_val0_1016z00_518;}  else 
{ /* ./Llib/bigloo.scm 493 */
long BgL_iz00_522;
BgL_iz00_522 = 
BGl_getzd28bitszd2integerz00zz__biglooz00(BgL_stringz00_1190, BgL_rz00_506); 
{ /* ./Llib/bigloo.scm 493 */
unsigned char BgL_ncz00_523;
BgL_ncz00_523 = 
(BgL_iz00_522); 
{ /* ./Llib/bigloo.scm 494 */

{ /* ./Llib/bigloo.scm 495 */
int BgL_auxz00_1645;
BgL_auxz00_1645 = 
(int)(BgL_wz00_507); 
STRING_SET(BgL_newz00_505, BgL_auxz00_1645, BgL_ncz00_523); } 
{ /* ./Llib/bigloo.scm 496 */
long BgL_arg1347z00_524;long BgL_arg1348z00_525;long BgL_arg1349z00_526;
{ /* ./Llib/bigloo.scm 496 */
long BgL_auxz00_1648;
BgL_auxz00_1648 = 
(long)CINT(BgL_rz00_506); 
BgL_arg1347z00_524 = 
(BgL_auxz00_1648+((long)3)); } 
BgL_arg1348z00_525 = 
(BgL_wz00_507+((long)1)); 
BgL_arg1349z00_526 = 
(BgL_checksumz00_508 ^ BgL_iz00_522); 
{ 
long BgL_checksumz00_1656;long BgL_wz00_1655;obj_t BgL_rz00_1653;
BgL_rz00_1653 = 
BINT(BgL_arg1347z00_524); 
BgL_wz00_1655 = BgL_arg1348z00_525; 
BgL_checksumz00_1656 = BgL_arg1349z00_526; 
BgL_checksumz00_508 = BgL_checksumz00_1656; 
BgL_wz00_507 = BgL_wz00_1655; 
BgL_rz00_506 = BgL_rz00_1653; 
goto BgL_loopz00_509;} } } } } }  else 
{ /* ./Llib/bigloo.scm 490 */
{ /* ./Llib/bigloo.scm 500 */
int BgL_auxz00_1657;
BgL_auxz00_1657 = 
(int)(BgL_wz00_507); 
STRING_SET(BgL_newz00_505, BgL_auxz00_1657, BgL_cz00_515); } 
{ /* ./Llib/bigloo.scm 501 */
long BgL_arg1365z00_529;long BgL_arg1366z00_530;
{ /* ./Llib/bigloo.scm 501 */
long BgL_auxz00_1660;
BgL_auxz00_1660 = 
(long)CINT(BgL_rz00_506); 
BgL_arg1365z00_529 = 
(BgL_auxz00_1660+((long)1)); } 
BgL_arg1366z00_530 = 
(BgL_wz00_507+((long)1)); 
{ 
long BgL_wz00_1666;obj_t BgL_rz00_1664;
BgL_rz00_1664 = 
BINT(BgL_arg1365z00_529); 
BgL_wz00_1666 = BgL_arg1366z00_530; 
BgL_wz00_507 = BgL_wz00_1666; 
BgL_rz00_506 = BgL_rz00_1664; 
goto BgL_loopz00_509;} } } } } } } } 
}



/* get-8bits-integer */
long BGl_getzd28bitszd2integerz00zz__biglooz00(obj_t BgL_stringz00_1191, obj_t BgL_rz00_532)
{ AN_OBJECT;
{ /* ./Llib/bigloo.scm 478 */
{ /* ./Llib/bigloo.scm 474 */
unsigned char BgL_c1z00_534;
{ /* ./Llib/bigloo.scm 474 */
int BgL_auxz00_1667;
{ /* ./Llib/bigloo.scm 474 */
long BgL_auxz00_1668;
{ /* ./Llib/bigloo.scm 474 */
long BgL_auxz00_1669;
BgL_auxz00_1669 = 
(long)CINT(BgL_rz00_532); 
BgL_auxz00_1668 = 
(BgL_auxz00_1669+((long)1)); } 
BgL_auxz00_1667 = 
(int)(BgL_auxz00_1668); } 
BgL_c1z00_534 = 
STRING_REF(BgL_stringz00_1191, BgL_auxz00_1667); } 
{ /* ./Llib/bigloo.scm 474 */
unsigned char BgL_c2z00_535;
{ /* ./Llib/bigloo.scm 475 */
int BgL_auxz00_1674;
{ /* ./Llib/bigloo.scm 475 */
long BgL_auxz00_1675;
{ /* ./Llib/bigloo.scm 475 */
long BgL_auxz00_1676;
BgL_auxz00_1676 = 
(long)CINT(BgL_rz00_532); 
BgL_auxz00_1675 = 
(BgL_auxz00_1676+((long)2)); } 
BgL_auxz00_1674 = 
(int)(BgL_auxz00_1675); } 
BgL_c2z00_535 = 
STRING_REF(BgL_stringz00_1191, BgL_auxz00_1674); } 
{ /* ./Llib/bigloo.scm 475 */
long BgL_i1z00_536;
BgL_i1z00_536 = 
BGl_charzd2ze3digitz31zz__biglooz00(BgL_c1z00_534); 
{ /* ./Llib/bigloo.scm 476 */
long BgL_i2z00_537;
BgL_i2z00_537 = 
BGl_charzd2ze3digitz31zz__biglooz00(BgL_c2z00_535); 
{ /* ./Llib/bigloo.scm 477 */

{ /* ./Llib/bigloo.scm 478 */
long BgL_auxz00_1683;
{ /* ./Llib/bigloo.scm 478 */
int BgL_auxz00_1684;
BgL_auxz00_1684 = 
(int)(((long)4)); 
BgL_auxz00_1683 = 
(BgL_i2z00_537 << BgL_auxz00_1684); } 
return 
(BgL_i1z00_536+BgL_auxz00_1683);} } } } } } } 
}



/* char->digit */
long BGl_charzd2ze3digitz31zz__biglooz00(unsigned char BgL_cz00_541)
{ AN_OBJECT;
{ /* ./Llib/bigloo.scm 472 */
{ /* ./Llib/bigloo.scm 470 */
bool_t BgL_test1391z00_543;
{ /* ./Llib/bigloo.scm 470 */
bool_t BgL_res2122z00_1083;
BgL_res2122z00_1083 = 
isdigit(BgL_cz00_541); 
BgL_test1391z00_543 = BgL_res2122z00_1083; } 
if(BgL_test1391z00_543)
{ /* ./Llib/bigloo.scm 471 */
long BgL_auxz00_1692;long BgL_auxz00_1690;
BgL_auxz00_1692 = 
(((unsigned char)'0')); 
BgL_auxz00_1690 = 
(BgL_cz00_541); 
return 
(BgL_auxz00_1690-BgL_auxz00_1692);}  else 
{ /* ./Llib/bigloo.scm 472 */
long BgL_auxz00_1695;
{ /* ./Llib/bigloo.scm 472 */
long BgL_auxz00_1698;long BgL_auxz00_1696;
BgL_auxz00_1698 = 
(((unsigned char)'a')); 
BgL_auxz00_1696 = 
(BgL_cz00_541); 
BgL_auxz00_1695 = 
(BgL_auxz00_1696-BgL_auxz00_1698); } 
return 
(((long)10)+BgL_auxz00_1695);} } } 
}



/* _bigloo-demangle2139 */
obj_t BGl__bigloozd2demangle2139zd2zz__biglooz00(obj_t BgL_envz00_1179, obj_t BgL_stringz00_1180)
{ AN_OBJECT;
{ /* ./Llib/bigloo.scm 464 */
return 
bigloo_demangle(BgL_stringz00_1180);} 
}



/* bigloo-class-mangled? */
BGL_EXPORTED_DEF bool_t bigloo_class_mangledp(obj_t BgL_stringz00_18)
{ AN_OBJECT;
{ /* ./Llib/bigloo.scm 527 */
{ /* ./Llib/bigloo.scm 528 */
int BgL_lenz00_557;
BgL_lenz00_557 = 
STRING_LENGTH(BgL_stringz00_18); 
{ /* ./Llib/bigloo.scm 529 */
bool_t BgL_testz00_1704;
{ /* ./Llib/bigloo.scm 529 */
long BgL_auxz00_1705;
BgL_auxz00_1705 = 
(long)(BgL_lenz00_557); 
BgL_testz00_1704 = 
(BgL_auxz00_1705>((long)8)); } 
if(BgL_testz00_1704)
{ /* ./Llib/bigloo.scm 530 */
bool_t BgL_testz00_1708;
{ /* ./Llib/bigloo.scm 530 */
unsigned char BgL_auxz00_1709;
{ /* ./Llib/bigloo.scm 530 */
int BgL_auxz00_1710;
{ /* ./Llib/bigloo.scm 530 */
long BgL_auxz00_1711;
{ /* ./Llib/bigloo.scm 530 */
long BgL_auxz00_1712;
BgL_auxz00_1712 = 
(long)(BgL_lenz00_557); 
BgL_auxz00_1711 = 
(BgL_auxz00_1712-((long)1)); } 
BgL_auxz00_1710 = 
(int)(BgL_auxz00_1711); } 
BgL_auxz00_1709 = 
STRING_REF(BgL_stringz00_18, BgL_auxz00_1710); } 
BgL_testz00_1708 = 
(BgL_auxz00_1709==((unsigned char)'t')); } 
if(BgL_testz00_1708)
{ /* ./Llib/bigloo.scm 531 */
bool_t BgL_testz00_1718;
{ /* ./Llib/bigloo.scm 531 */
unsigned char BgL_auxz00_1719;
{ /* ./Llib/bigloo.scm 531 */
int BgL_auxz00_1720;
{ /* ./Llib/bigloo.scm 531 */
long BgL_auxz00_1721;
{ /* ./Llib/bigloo.scm 531 */
long BgL_auxz00_1722;
BgL_auxz00_1722 = 
(long)(BgL_lenz00_557); 
BgL_auxz00_1721 = 
(BgL_auxz00_1722-((long)2)); } 
BgL_auxz00_1720 = 
(int)(BgL_auxz00_1721); } 
BgL_auxz00_1719 = 
STRING_REF(BgL_stringz00_18, BgL_auxz00_1720); } 
BgL_testz00_1718 = 
(BgL_auxz00_1719==((unsigned char)'l')); } 
if(BgL_testz00_1718)
{ /* ./Llib/bigloo.scm 532 */
bool_t BgL_testz00_1728;
{ /* ./Llib/bigloo.scm 532 */
unsigned char BgL_auxz00_1729;
{ /* ./Llib/bigloo.scm 532 */
int BgL_auxz00_1730;
{ /* ./Llib/bigloo.scm 532 */
long BgL_auxz00_1731;
{ /* ./Llib/bigloo.scm 532 */
long BgL_auxz00_1732;
BgL_auxz00_1732 = 
(long)(BgL_lenz00_557); 
BgL_auxz00_1731 = 
(BgL_auxz00_1732-((long)3)); } 
BgL_auxz00_1730 = 
(int)(BgL_auxz00_1731); } 
BgL_auxz00_1729 = 
STRING_REF(BgL_stringz00_18, BgL_auxz00_1730); } 
BgL_testz00_1728 = 
(BgL_auxz00_1729==((unsigned char)'g')); } 
if(BgL_testz00_1728)
{ /* ./Llib/bigloo.scm 533 */
bool_t BgL_testz00_1738;
{ /* ./Llib/bigloo.scm 533 */
unsigned char BgL_auxz00_1739;
{ /* ./Llib/bigloo.scm 533 */
int BgL_auxz00_1740;
{ /* ./Llib/bigloo.scm 533 */
long BgL_auxz00_1741;
{ /* ./Llib/bigloo.scm 533 */
long BgL_auxz00_1742;
BgL_auxz00_1742 = 
(long)(BgL_lenz00_557); 
BgL_auxz00_1741 = 
(BgL_auxz00_1742-((long)4)); } 
BgL_auxz00_1740 = 
(int)(BgL_auxz00_1741); } 
BgL_auxz00_1739 = 
STRING_REF(BgL_stringz00_18, BgL_auxz00_1740); } 
BgL_testz00_1738 = 
(BgL_auxz00_1739==((unsigned char)'b')); } 
if(BgL_testz00_1738)
{ /* ./Llib/bigloo.scm 534 */
bool_t BgL_testz00_1748;
{ /* ./Llib/bigloo.scm 534 */
unsigned char BgL_auxz00_1749;
{ /* ./Llib/bigloo.scm 534 */
int BgL_auxz00_1750;
{ /* ./Llib/bigloo.scm 534 */
long BgL_auxz00_1751;
{ /* ./Llib/bigloo.scm 534 */
long BgL_auxz00_1752;
BgL_auxz00_1752 = 
(long)(BgL_lenz00_557); 
BgL_auxz00_1751 = 
(BgL_auxz00_1752-((long)5)); } 
BgL_auxz00_1750 = 
(int)(BgL_auxz00_1751); } 
BgL_auxz00_1749 = 
STRING_REF(BgL_stringz00_18, BgL_auxz00_1750); } 
BgL_testz00_1748 = 
(BgL_auxz00_1749==((unsigned char)'_')); } 
if(BgL_testz00_1748)
{ /* ./Llib/bigloo.scm 535 */
obj_t BgL_arg1416z00_564;
{ /* ./Llib/bigloo.scm 535 */
long BgL_arg1420z00_566;
{ /* ./Llib/bigloo.scm 535 */
long BgL_auxz00_1758;
BgL_auxz00_1758 = 
(long)(BgL_lenz00_557); 
BgL_arg1420z00_566 = 
(BgL_auxz00_1758-((long)5)); } 
{ /* ./Llib/bigloo.scm 535 */
int BgL_auxz00_1763;int BgL_auxz00_1761;
BgL_auxz00_1763 = 
(int)(BgL_arg1420z00_566); 
BgL_auxz00_1761 = 
(int)(((long)0)); 
BgL_arg1416z00_564 = 
c_substring(BgL_stringz00_18, BgL_auxz00_1761, BgL_auxz00_1763); } } 
return 
bigloo_mangledp(BgL_arg1416z00_564);}  else 
{ /* ./Llib/bigloo.scm 534 */
return ((bool_t)0);} }  else 
{ /* ./Llib/bigloo.scm 533 */
return ((bool_t)0);} }  else 
{ /* ./Llib/bigloo.scm 532 */
return ((bool_t)0);} }  else 
{ /* ./Llib/bigloo.scm 531 */
return ((bool_t)0);} }  else 
{ /* ./Llib/bigloo.scm 530 */
return ((bool_t)0);} }  else 
{ /* ./Llib/bigloo.scm 529 */
return ((bool_t)0);} } } } 
}



/* _bigloo-class-mangled?2141 */
obj_t BGl__bigloozd2classzd2mangledzf32141zf3zz__biglooz00(obj_t BgL_envz00_1181, obj_t BgL_stringz00_1182)
{ AN_OBJECT;
{ /* ./Llib/bigloo.scm 527 */
{ /* ./Llib/bigloo.scm 528 */
bool_t BgL_auxz00_1767;
BgL_auxz00_1767 = 
bigloo_class_mangledp(BgL_stringz00_1182); 
return 
BBOOL(BgL_auxz00_1767);} } 
}



/* bigloo-class-demangle */
BGL_EXPORTED_DEF obj_t bigloo_class_demangle(obj_t BgL_stringz00_19)
{ AN_OBJECT;
{ /* ./Llib/bigloo.scm 540 */
{ /* ./Llib/bigloo.scm 542 */
obj_t BgL_arg1461z00_577;
{ /* ./Llib/bigloo.scm 542 */
obj_t BgL_arg1465z00_579;
{ /* ./Llib/bigloo.scm 542 */
long BgL_arg1469z00_581;
{ /* ./Llib/bigloo.scm 542 */
long BgL_auxz00_1770;
{ /* ./Llib/bigloo.scm 542 */
int BgL_auxz00_1771;
BgL_auxz00_1771 = 
STRING_LENGTH(BgL_stringz00_19); 
BgL_auxz00_1770 = 
(long)(BgL_auxz00_1771); } 
BgL_arg1469z00_581 = 
(BgL_auxz00_1770-((long)5)); } 
{ /* ./Llib/bigloo.scm 542 */
int BgL_auxz00_1777;int BgL_auxz00_1775;
BgL_auxz00_1777 = 
(int)(BgL_arg1469z00_581); 
BgL_auxz00_1775 = 
(int)(((long)0)); 
BgL_arg1465z00_579 = 
c_substring(BgL_stringz00_19, BgL_auxz00_1775, BgL_auxz00_1777); } } 
BgL_arg1461z00_577 = 
bigloo_demangle(BgL_arg1465z00_579); } 
return 
string_append(BgL_arg1461z00_577, BGl_string2324z00zz__biglooz00);} } 
}



/* _bigloo-class-demangle2143 */
obj_t BGl__bigloozd2classzd2demangle2143z00zz__biglooz00(obj_t BgL_envz00_1183, obj_t BgL_stringz00_1184)
{ AN_OBJECT;
{ /* ./Llib/bigloo.scm 540 */
return 
bigloo_class_demangle(BgL_stringz00_1184);} 
}



/* register-exit-function! */
BGL_EXPORTED_DEF obj_t BGl_registerzd2exitzd2functionz12z12zz__biglooz00(obj_t BgL_funz00_20)
{ AN_OBJECT;
{ /* ./Llib/bigloo.scm 553 */
{ /* ./Llib/bigloo.scm 554 */
bool_t BgL_testz00_1783;
{ /* ./Llib/bigloo.scm 554 */
int BgL_auxz00_1784;
BgL_auxz00_1784 = 
(int)(((long)1)); 
BgL_testz00_1783 = 
PROCEDURE_CORRECT_ARITYP(BgL_funz00_20, BgL_auxz00_1784); } 
if(BgL_testz00_1783)
{ /* ./Llib/bigloo.scm 554 */
return ( 
BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00 = 
MAKE_PAIR(BgL_funz00_20, BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00), BUNSPEC) ;}  else 
{ /* ./Llib/bigloo.scm 554 */
FAILURE(BGl_string2325z00zz__biglooz00,BGl_string2326z00zz__biglooz00,BgL_funz00_20);} } } 
}



/* _register-exit-function!2145 */
obj_t BGl__registerzd2exitzd2functionz122145z12zz__biglooz00(obj_t BgL_envz00_1185, obj_t BgL_funz00_1186)
{ AN_OBJECT;
{ /* ./Llib/bigloo.scm 553 */
return 
BGl_registerzd2exitzd2functionz12z12zz__biglooz00(BgL_funz00_1186);} 
}



/* bigloo-exit-apply */
BGL_EXPORTED_DEF obj_t bigloo_exit_apply(obj_t BgL_valz00_21)
{ AN_OBJECT;
{ /* ./Llib/bigloo.scm 563 */
bigloo_exit_apply:
if(
PAIRP(BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00))
{ /* ./Llib/bigloo.scm 565 */
obj_t BgL_funz00_586;
BgL_funz00_586 = 
CAR(BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00); 
BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00 = 
CDR(BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00); 
{ /* ./Llib/bigloo.scm 567 */
obj_t BgL_arg1484z00_587;
BgL_arg1484z00_587 = 
PROCEDURE_ENTRY(BgL_funz00_586)(BgL_funz00_586, BgL_valz00_21, BEOA); 
{ 
obj_t BgL_valz00_1796;
BgL_valz00_1796 = BgL_arg1484z00_587; 
BgL_valz00_21 = BgL_valz00_1796; 
goto bigloo_exit_apply;} } }  else 
{ /* ./Llib/bigloo.scm 564 */
return BgL_valz00_21;} } 
}



/* _bigloo-exit-apply */
obj_t BGl__bigloozd2exitzd2applyz00zz__biglooz00(obj_t BgL_envz00_1187, obj_t BgL_valz00_1188)
{ AN_OBJECT;
{ /* ./Llib/bigloo.scm 563 */
return 
bigloo_exit_apply(BgL_valz00_1188);} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__biglooz00()
{ AN_OBJECT;
{ /* ./Llib/bigloo.scm 14 */
return 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)11084), "__bigloo");} 
}

